Update service order extras
Updates department, warehouse, location, classification, mechanic and panel visibility on a service order.
In: header
Path Parameters
Department id (departamentos.id).
Warehouse id (lojas.CodLoja).
Location id (localizacoes.id); must belong to warehouse_id.
Classification id (ordemservico_classificacao.id).
Mechanic id (empreg.CodEmpr); must be active and assigned to MECANICOS panel.
Whether to show service order on mechanics panel.
false | trueSeller id (represnt.CodRepres); must be active.
Employee id (empreg.CodEmpr); must be active.
Planned delivery date (Y-m-d).
dateVehicle collection datetime (Y-m-d H:i:s).
date-timeEffective vehicle delivery datetime (Y-m-d H:i:s).
date-timeVehicle km counter on effective delivery.
Vehicle delivery status: 0 not authorized, 1 authorized, 2 delivered.
0 | 1 | 2Service order observations (Obs.); HTML allowed.
Technical/mechanic observations (Obs. Tecnico); HTML allowed.
Whether to print the observations on the document. Replaces invoice_observations.
Whether to print the technical observations on the document. Replaces mechanic_invoice_observations.
Deprecated (sunset 2027-02-28), use print_observations_on_invoice.
Deprecated (sunset 2027-02-28), use print_mechanic_observations_on_invoice.
Response Body
curl -X PATCH "https://og-tenant1.test:8003/api/v2/workshop/service-orders/string" \
-H "Content-Type: application/json" \
-d '{}'{
"data": {
"print_observations_on_invoice": true,
"print_mechanic_observations_on_invoice": true,
"invoice_observations": true,
"mechanic_invoice_observations": true,
"lines": [],
"extra_lines": [],
"interventions": []
}
}{
"data": {
"code": "VALIDATION_FAILED",
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
},
"meta": {
"trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
}
}{
"data": {
"code": "VALIDATION_FAILED",
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
},
"meta": {
"trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
}
}{
"data": {
"code": "VALIDATION_FAILED",
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
},
"meta": {
"trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
}
}{
"data": {
"code": "VALIDATION_FAILED",
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
},
"meta": {
"trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
}
}